## org.apache.poi.ss.formula.ptg
Class RefPtg

    java.lang.Object
      org.apache.poi.ss.formula.ptg.Ptg
          org.apache.poi.ss.formula.ptg.OperandPtg
              org.apache.poi.ss.formula.ptg.RefPtgBase
                  org.apache.poi.ss.formula.ptg.RefPtg

All Implemented Interfaces:
  java.lang.Cloneable

    public final class RefPtg

extends RefPtgBase

ReferencePtg - handles references (such as A1, A2, IA4)

Author:
  Andrew C. Oliver (acoliver@apache.org), Jason Height (jheight at chariot dot net dot au)

Field Summary
`static byte` `sid`

Fields inherited from class org.apache.poi.ss.formula.ptg.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

Constructor Summary
`RefPtg(CellReference cr)`
`RefPtg(int row, int column, boolean isRowRelative, boolean isColumnRelative)`
`RefPtg(LittleEndianInput in)`
`RefPtg(java.lang.String cellref)` Takes in a String representation of a cell reference and fills out the numeric fields.

Method Summary
`protected byte` `getSid()`
`int` `getSize()`
`java.lang.String` `toFormulaString()` return a string representation of this token alone
`java.lang.String` `toString()` Overridden toString method to ensure object hash is not printed.
`void` `write(LittleEndianOutput out)`

Methods inherited from class org.apache.poi.ss.formula.ptg.RefPtgBase
`formatReferenceAsString, getColumn, getDefaultOperandClass, getRow, isColRelative, isRowRelative, readCoordinates, setColRelative, setColumn, setRow, setRowRelative, writeCoordinates`

Methods inherited from class org.apache.poi.ss.formula.ptg.OperandPtg
`copy, isBaseToken`

Methods inherited from class org.apache.poi.ss.formula.ptg.Ptg
`createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final byte sid

See Also:
  Constant Field Values

Constructor Detail

### RefPtg

    public RefPtg(java.lang.String cellref)

  Takes in a String representation of a cell reference and fills out the numeric fields.

### RefPtg

    public RefPtg(int row,
                  int column,
                  boolean isRowRelative,
                  boolean isColumnRelative)

### RefPtg

    public RefPtg(LittleEndianInput in)

### RefPtg

    public RefPtg(CellReference cr)

Method Detail

### getSid

    protected byte getSid()

### write

    public void write(LittleEndianOutput out)

  Specified by:
    `write` in class `Ptg`

### toFormulaString

    public final java.lang.String toFormulaString()

  Description copied from class: `Ptg`
  return a string representation of this token alone

  Specified by:
    `toFormulaString` in class `Ptg`

### getSize

    public final int getSize()

  Specified by:
    `getSize` in class `Ptg`
  Returns:
    the encoded length of this Ptg, including the initial Ptg type identifier byte.

### toString

    public final java.lang.String toString()

  Description copied from class: `Ptg`
  Overridden toString method to ensure object hash is not printed. This helps get rid of gratuitous diffs when comparing two dumps Subclasses may output more relevant information by overriding this method

  Overrides:
    `toString` in class `Ptg`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.